Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\Controller\SecurityController Class Reference

## Public Member Functions
| __construct (EngineInterface $templateEngine, ConfigResolverInterface $configResolver, AuthenticationUtils $authenticationUtils)
| loginAction ()

## Protected Attributes
| $templateEngine
| $configResolver
| $authenticationUtils

## Detailed Description

Definition at line 14 of file SecurityController.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\Controller\SecurityController::__construct | ( | EngineInterface | $templateEngine,
|  | ConfigResolverInterface | $configResolver,
|  | AuthenticationUtils | $authenticationUtils
| ) |  |

Definition at line 25 of file SecurityController.php.

References eZ\Publish\Core\MVC\Symfony\Controller\SecurityController\$authenticationUtils, eZ\Publish\Core\MVC\Symfony\Controller\SecurityController\$configResolver, and eZ\Publish\Core\MVC\Symfony\Controller\SecurityController\$templateEngine.

## Member Function Documentation

## ◆ loginAction()

eZ\Publish\Core\MVC\Symfony\Controller\SecurityController::loginAction | ( |  | ) |

Definition at line 32 of file SecurityController.php.

## Member Data Documentation

## ◆ $authenticationUtils

eZ\Publish\Core\MVC\Symfony\Controller\SecurityController::$authenticationUtils
| protected

Definition at line 23 of file SecurityController.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Controller\SecurityController\__construct().

## ◆ $configResolver

eZ\Publish\Core\MVC\Symfony\Controller\SecurityController::$configResolver
| protected

Definition at line 20 of file SecurityController.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Controller\SecurityController\__construct().

## ◆ $templateEngine

eZ\Publish\Core\MVC\Symfony\Controller\SecurityController::$templateEngine
| protected

Definition at line 17 of file SecurityController.php.

Referenced by eZ\Publish\Core\MVC\Symfony\Controller\SecurityController\__construct().

The documentation for this class was generated from the following file:

- SecurityController.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.